<?php
/**
  * Ahead WebSoft Technologies Pvt Ltd.
  * @copyright  Copyright 2006-2026 Ahead WebSoft Technologies Pvt Ltd.
  * @license    https://www.socialengine.com/policies
*/

$files = Engine_Api::_()->getDbTable('files', 'core')->getFilesAssoc();

return array(
  array(
    'title' => 'Facebook Clone Theme - Header',
    'description' => 'This widget displays the Header of the website. Place this widget on the site header page.',
    'category' => 'Facebook Clone',
    'type' => 'widget',
    'name' => 'fbclone.header',
    "autoEdit" => false,
  ),
  array(
    'title' => 'Facebook Clone Theme - Footer',
    'description' => 'This widget displays the Footer of the website. Place this widget on the site footer page.',
    'category' => 'Facebook Clone',
    'type' => 'widget',
    'name' => 'fbclone.footer',
    "autoEdit" => false,
  ),
  array(
    'title' => 'Facebook Clone Theme - Landing Page',
    'description' => 'This widget displays the Landing Page of the design 1. Edit this widget to configure the Landing Page settings.',
    'category' => 'Facebook Clone',
    'type' => 'widget',
    'name' => 'fbclone.landing-page',
    'adminForm' => 'Fbclone_Form_Admin_Widget_LandingPage',
  ),
    array(
      'title' => 'Facebook Clone Theme - Dashboard Links',
      'description' => 'This widget displays the enabled dashboard menu links in the sidebar column of the page, place this widget at Member Home Page of your website.',
      'category' => 'Facebook Clone',
      'type' => 'widget',
      'name' => 'fbclone.dashboard-links',
    ),
		array(
      'title' => 'Facebook Clone Theme - Landing Page Banner',
      'description' => 'This widget displays the banner on the Landing Page design 2. Edit this widget to configure various settings.',
      'category' => 'Facebook Clone',
      'type' => 'widget',
      'name' => 'fbclone.landing-page-banner',
      "autoEdit" => true,
      'adminForm' => array(
        'elements' => array(
          array(
            'Text',
            'height',
            array(
                'label' => 'Enter the height of this banner (in pixels).',
                'value' => 650,
                'validators' => array(
                    array('Int', true),
                    array('GreaterThan', true, array(0)),
                )
            ),
          ),
          array(
            'Select',
            'bgimage',
            array(
              'label' => 'Choose the banner image to be shown in this widget. Note: You can add a new image from the "File & Media Manager" section.',
              'multiOptions' => $files,
              'value' => '',
            )
          ),          
          array(
            'Text',
            'title',
            array(
              'label' => 'Enter caption to show in the banner.',
            ),
          ),
          array(
            'Text',
            'description',
            array(
              'label' => 'Enter description to show in the banner.',
            ),
          ),
          array(
            'Text',
            'btntext',
            array(
              'label' => 'Enter CTA Button Text',
            ),
          ),
          array(
            'Text',
            'btntextlink',
            array(
              'label' => 'Enter CTA Button Link',
            ),
          ),

        )
      ),
    ),
		array(
      'title' => 'Facebook Clone Theme - Landing Page Features',
      'description' => 'This widget displays the feature blocks on the Landing Page design 2. Edit this widget to configure features.',
      'category' => 'Facebook Clone',
      'type' => 'widget',
      'name' => 'fbclone.landing-page-service',
      'adminForm' => 'Fbclone_Form_Admin_Widget_LandingPageService',
      "autoEdit" => true,
    ),  
		array(
      'title' => 'Facebook Clone Theme - Landing Page Mobile Apps Section',
      'description' => 'This widget displays the mobile apps section the on Landing Page design 2. Edit this widget to configure apps section.',
      'category' => 'Facebook Clone',
      'type' => 'widget',
      'name' => 'fbclone.landing-page-app-section',
      "autoEdit" => true,
      'adminForm' => array(
      'elements' => array(
	     array(
          'Text',
          'title',
          array(
            'label' => 'Enter title of this widget.',
          ),
        ),
        array(
          'Text',
          'description',
          array(
            'label' => 'Enter description of this widget.',
          ),
        ),
        array(
          'Text',
          'androidapplink',
          array(
            'label' => 'Enter play store link of Android App.',
          ),
        ),
        array(
          'Text',
          'iosapplink',
          array(
            'label' => 'Enter app store link of iOS App.',
          ),
        ),
        array(
          'Select',
          'apprightimage',
          array(
            'label' => 'Choose the image to be shown in this widget. Note: You can add a new image from the "File & Media Manager" section.',
            'multiOptions' => $files,
            'value' => '',
          )
        ),
      )
    ),
  ),
  array(
    'title' => 'Facebook Clone Theme - Landing Page Blog',
    'description' => 'This widget displays blogs on the Landing Page design 2.',
    'category' => 'Facebook Clone',
    'type' => 'widget',
    'name' => 'fbclone.landing-page-blog',
  ),
);
